[![Build Status](https://secure.travis-ci.org/rocketlabsdev/should-mongoose.png)](http://travis-ci.org/rocketlabsdev/should-mongoose)

# should-mongoose

## install

```
npm i should-mongoose
```

## usage 

```javascript
require('should-mongoose');

var model = mongoose.model('TestModel', new mongoose.Schema({name: String}));

describe('Mongoose Model', function() {
  it('should verify a field is present', function() {
    model.should.have.field('name');
  });
  it('should verify a field is absent', function() {
    model.should.not.have.field('age');
  });
});
```

## License 

(The MIT License)

Copyright (c) 2011 Dan Williams &lt;dan@rocketlabsdev.com&gt;

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.